<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.packenius</groupId>
	<artifactId>com.packenius.filediver</artifactId>
	<version>0.9</version>
	<name>FileDiver</name>
    <description>Visualize the files that are divided by DataDivider.</description>
    <url>https://gitlab.com/christian.packenius/filediver</url>
    <licenses>
        <license>
            <name>GNU Lesser General Public License v3.0</name>
            <url>https://gitlab.com/christian.packenius/filediver/blob/master/LICENSE</url>
        </license>
    </licenses>
    <developers>
        <developer>
            <name>Christian Packenius</name>
            <email>christian@packenius.com</email>
        </developer>
    </developers>
    <scm>
        <connection>scm:git:git:https://gitlab.com/christian.packenius/filediver.git</connection>
        <url>https://gitlab.com/christian.packenius/filediver</url>
    </scm>
    <distributionManagement>
        <snapshotRepository>
            <id>ossrh</id>
            <url>https://oss.sonatype.org/content/repositories/snapshots</url>
        </snapshotRepository>
        <repository>
            <id>ossrh</id>
            <url>https://oss.sonatype.org/service/local/staging/deploy/maven2/</url>
        </repository>
    </distributionManagement>
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>
	<dependencies>
		<dependency>
			<groupId>com.packenius</groupId>
			<artifactId>com.packenius.hexr</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>com.packenius</groupId>
			<artifactId>com.packenius.dumpapi</artifactId>
			<version>1.0.1</version>
		</dependency>
		<dependency>
			<groupId>com.packenius</groupId>
			<artifactId>com.packenius.datadivider</artifactId>
			<version>1.0.1</version>
		</dependency>
	</dependencies>
    <profiles>
        <profile>
            <id>java8-doclint-disabled</id>
            <activation>
                <jdk>[1.8,)</jdk>
            </activation>
            <properties>
                <javadoc.opts>-Xdoclint:none</javadoc.opts>
            </properties>
        </profile>
    </profiles>
    <build>
        <plugins>
            <plugin>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.8.0</version>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-gpg-plugin</artifactId>
                <version>1.5</version>
                <executions>
                    <execution>
                        <id>sign-artifacts</id>
                        <phase>verify</phase>
                        <goals>
                            <goal>sign</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-source-plugin</artifactId>
                <version>2.2.1</version>
                <executions>
                    <execution>
                        <id>attach-sources</id>
                        <goals>
                            <goal>jar-no-fork</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-javadoc-plugin</artifactId>
                <configuration>
                    <additionalparam>${javadoc.opts}</additionalparam>
                </configuration>
                <version>2.9.1</version>
                <executions>
                    <execution>
                        <id>attach-javadocs</id>
                        <goals>
                            <goal>jar</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.sonatype.plugins</groupId>
                <artifactId>nexus-staging-maven-plugin</artifactId>
                <version>1.6.7</version>
                <extensions>true</extensions>
                <configuration>
                    <serverId>ossrh</serverId>
                    <nexusUrl>https://oss.sonatype.org/</nexusUrl>
                    <autoReleaseAfterClose>true</autoReleaseAfterClose>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>

